$! Copyright  1993, 1994 by Brian Schenkenberger and TMESIS Consulting
$!--------------------------------------------------------------------------
$! Define the logical BUILD_VERIFY to 1 to enable procedure verification
$! Parameter P1 = any valid MACRO qualifiers (enclosed in quotataion marks)
$! Parameter P2 = any valid LINK qualifiers (enclosed in quotataion marks)
$! To specify LINK only qualifiers, specify P1 as a null string  (""). 
$!--------------------------------------------------------------------------
$ SET := SET				! make sure SET *is* SET
$
$ SET ON				! enable error checking
$ ON ERROR THEN $ GOTO EXIT_RTN		! establish error handler
$ ON CONTROL_Y THEN $ GOTO EXIT_RTN	! establish ctrl-Y handler
$
$ SET SYMBOL/SCOPE=(NOGLOBAL,NOLOCAL)	! no symbols same as verbs
$ 
$ IF .NOT.F$PRIVILEGE("SYSPRV") THEN $ EXIT %x28E4
$
$ DEFINE/USER SAVE_VERIFY "''F$INT(F$ENV("VERIFY_PROCEDURE")),''F$INT(F$ENV("VERIFY_IMAGE"))'"
$
$ RUNOFF SYMBOL.RNH			! format the .HLP source file		'F$verify(F$trnlnm("BUILD_VERIFY"),0)
$
$ EDIT/TECO/EXECUTE=SYS$INPUT		! convert .HLP to variable, CR-CC file
EBSYMBOL.HLPEGPURGEE *.HLP
$
$ LIBRARY/CREATE=BLOCKS:0/HELP SYMBOL.HLB SYMBOL.HLP ! create SYMBOL helplib
$
$ SET COMMAND/OBJECT SYMCLITBL.CLD	! SYMBOL command def's
$
$ MACRO/LIST'P1' SYMBOL.MAR		! SYMBOL (main routine)
$ MACRO/LIST'P1' SYMDELSETB.MAR		! /DELETE, /SET, /BINARY
$ MACRO/LIST'P1' SYMDISPLAY.MAR		! /DISPLAY
$ MACRO/LIST'P1' SYMCLUSTER.MAR		! Cluster Support
$ MACRO/LIST'P1' SYMFINDLEI.MAR		! Locate support LEI
$
$ MACRO/LIST'P1' SYMBOL$AST_LEI.MAR	! SYMBOL$AST_LEI loadable exec image
$
$ MACRO/LIST'P1' SYMLOADER.MAR		! SYMBOL$AST_LEI dynamic loader
$ MACRO/LIST'P1' SYMUNLOAD.MAR		! SYMBOL$AST_LEI dyn. unload (Dev.Tool)
$
$ MACRO/LIST'P1' SYMBOLPERM.MAR		! Define SYMBOL permanent
$
$ IF f$getsyi("HW_MODEL").lt.1024	!'F$verify(F$trnlnm("SAVE_VERIFY"))
$ THEN
$ On_VAX:										!'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
$
$! Link SYMBOL.EXE
$
$ LINK/NOTRACEBACK/MAP/FULL'P2' SYMBOL.OBJ,-	! create SYMBOL.EXE		'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
	SYS$INPUT/OPTIONS,SYMBOL.OPT/OPTIONS,VERSION.OPT/OPTIONS
  SYMCLITBL.OBJ
  SYMCLUSTER.OBJ
  SYMDELSETB.OBJ
  SYMDISPLAY.OBJ
  SYMFINDLEI.OBJ
$
$! Link SYMBOL$AST_LEI.EXE
$
$ LINK	/NOSYSSHR/NOTRACEBACK/SHAREABLE=SYS$COMMON:[SYS$LDR]SYMBOL$AST_LEI -
	/MAP=SYMBOL$AST_LEI/FULL/CROSS_REFERENCE/SYMBOL_TABLE=SYMBOL$AST_LEI -
	SYMBOL$AST_LEI,SYMBOL$AST_LEI.OPT/OPTIONS,VERSION.OPT/OPTIONS
$
$! Link SYMLOADER.EXE
$
$ LINK/NOTRACEBACK/MAP/FULL'P2' SYMLOADER.OBJ,VERSION.OPT/OPT  ! SYMLOADER.EXE		'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
$
$! Link SYMUNLOAD.EXE	(Development Tool)
$
$ LINK/NOTRACEBACK/MAP/FULL'P2' SYMUNLOAD.OBJ,VERSION.OPT/OPT  ! SYMUNLOAD.EXE		'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
$
$! Link SYMBOLPERM.EXE
$
$ LINK/NOTRACEBACK/MAP/FULL'P2' SYMBOLPERM.OBJ,VERSION.OPT/OPT  ! SYMBOLPERM.EXE		'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
$
$ ELSE											!'F$verify(F$trnlnm("SAVE_VERIFY"))
$ On_AXP:										!'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
$
$! Link SYMBOL.EXE
$
$ LINK/NOTRACEBACK/SYSEXE/MAP/FULL'P2' SYMBOL.OBJ,-	! create SYMBOL.EXE		'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
	SYS$INPUT/OPTIONS,SYMBOL.ALPHA_OPT/OPTIONS,VERSION.OPT/OPTIONS
  SYMCLITBL.OBJ
  SYMCLUSTER.OBJ
  SYMDELSETB.OBJ
  SYMDISPLAY.OBJ
  SYMFINDLEI.OBJ
$
$! Link SYMBOL$AST_LEI.EXE
$
$ LINK	/NOSYSSHR/NOTRACEBACK/SHAREABLE=SYS$COMMON:[SYS$LDR]SYMBOL$AST_LEI -
	/MAP=SYMBOL$AST_LEI/FULL/CROSS_REFERENCE/SYMBOL_TABLE=SYMBOL$AST_LEI -
	/NATIVE_ONLY/BPAGE=13/SECTION_BINDING/REPLACE/VMS_EXEC/NODEMAND_ZERO -
	/SYSEXE=SELECTIVE -
	SYMBOL$AST_LEI,SYMBOL$AST_LEI.ALPHA_OPT/OPTIONS,VERSION.OPT/OPTIONS
$
$! Link SYMLOADER.EXE
$
$ LINK/NOTRACEBACK/SYSEXE/MAP/FULL'P2' SYMLOADER.OBJ,VERSION.OPT/OPT  ! SYMLOADER.EXE		'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
$
$! Link SYMUNLOAD.EXE	(Development Tool)
$
$ LINK/NOTRACEBACK/SYSEXE/MAP/FULL'P2' SYMUNLOAD.OBJ,VERSION.OPT/OPT  ! SYMUNLOAD.EXE		'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
$
$! Link SYMBOLPERM.EXE
$
$ LINK/NOTRACEBACK/SYSEXE/MAP/FULL'P2' SYMBOLPERM.OBJ,-		! SYMBOLPERM.EXE		'F$verify(F$trnlnm("BUILD_VERIFY"),F$trnlnm("BUILD_VERIFY"))
	VERSION.OPT/OPT,SYMBOLPERM.ALPHA_OPT/OPT
$
$ ENDIF											!'F$verify(F$trnlnm("SAVE_VERIFY"))
$ EXIT_RTN: EXIT $STATUS	!'F$verify(F$trnlnm("SAVE_VERIFY"))
